### Method

# WebKit2WebExtension DOMDOMSelection set_base_and_extent

#### Declaration [src]

    void
    webkit_dom_dom_selection_set_base_and_extent (
      WebKitDOMDOMSelection* self,
      WebKitDOMNode* baseNode,
      gulong baseOffset,
      WebKitDOMNode* extentNode,
      gulong extentOffset
    )

#### Description

No description available.

Available since: | 2.16
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`baseNode` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`baseOffset` | `gulong`
| A #gulong.
`extentNode` | `WebKitDOMNode`
| A `WebKitDOMNode`.
| The data is owned by the caller of the function.
`extentOffset` | `gulong`
| A #gulong.